%global         srcname     azure-mgmt-media

Name:           python-%{srcname}
Version:        3.0.0
Release:        2%{?dist}
Summary:        Microsoft Azure Media Services Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Microsoft Azure Media Services Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:3.0.0-2
- Add epoch number for 3.0.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 3.0.0-1
- Downgrade to 3.0.0

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 7.0.0-1
- First package.
